## open-vm-tools 2010.02.23

=== modules/freebsd/vmblock/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2006 VMware, Inc. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of VMware Inc. nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission of VMware Inc.
#
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
##########################################################

####
####  VMware vmblock Makefile to be distributed externally
####

HEADERS := block.h
HEADERS += vnode_if.h
HEADERS += vmblock_k.h
HEADERS += os.h

CSRCS  := block.c
CSRCS  += vfsops.c
CSRCS  += vnops.c
CSRCS  += subr.c

SRCS   := $(HEADERS) $(CSRCS)

KMOD    = vmblock
PROG    = ../$(KMOD).ko
NOMAN   = t
NO_MAN  = t
KLDMOD  = t

VMBLOCK := $(MAINSRCROOT)/modules/vmblock

CFLAGS  += $(INCLUDE) -Wall -Werror

.ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/shared
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/vmblock
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmblock
   VPATH  := $(OVT_SOURCE_DIR)/lib/misc
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/modules/shared/vmblock
.else
   CFLAGS += -Ishared
.endif

EXPORT_SYMS = NO

.include <bsd.kmod.mk>

=== modules/freebsd/vmhgfs/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2007 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

HEADERS	:= vnode_if.h
HEADERS += hgfs_kernel.h
HEADERS += request.h
HEADERS += requestInt.h
HEADERS += debug.h
HEADERS += state.h
HEADERS += kernelStubs.h
HEADERS += fsutil.h
HEADERS += vnopscommon.h
HEADERS += os.h
HEADERS += vfsopscommon.h
HEADERS += transport.h

COMMON_SRCS := cpName.c
COMMON_SRCS += cpNameLinux.c
COMMON_SRCS += cpNameLite.c
COMMON_SRCS += sha1.c
COMMON_SRCS += hgfsEscape.c
COMMON_SRCS += hgfsBd.c
COMMON_SRCS += rpcout.c
COMMON_SRCS += message.c
COMMON_SRCS += backdoor.c
.if $(MACHINE_ARCH) == "amd64"
COMMON_SRCS += backdoorGcc64.c
.else
COMMON_SRCS += backdoorGcc32.c
.endif

COMMON_HGFS_SRCS := debug.c
COMMON_HGFS_SRCS += request.c
COMMON_HGFS_SRCS += worker.c
COMMON_HGFS_SRCS += fsutil.c
COMMON_HGFS_SRCS += vnopscommon.c
COMMON_HGFS_SRCS += state.c
COMMON_HGFS_SRCS += vfsopscommon.c
COMMON_HGFS_SRCS += transport.c

MODULE_SRCS := vnops.c
MODULE_SRCS += vfsops.c
MODULE_SRCS += os.c
MODULE_SRCS += hgfsUtil.c
MODULE_SRCS += kernelStubsBSD.c

#
# The FreeBSD kernel module build tree iterates over the following variable
# for build targets.  C files will be compiled, and headers will just be
# tested for presence.
#
SRCS = $(MODULE_SRCS) $(COMMON_SRCS) $(COMMON_HGFS_SRCS) $(HEADERS)

KMOD    = vmhgfs
PROG    = ../$(KMOD).ko
NOMAN   = t
NO_MAN  = t
KLDMOD  = t
NOOBJ   = 1
NO_OBJ  = 1

.ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/backdoor
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/hgfs
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/shared
   VPATH  := $(OVT_SOURCE_DIR)/lib/backdoor
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/hgfs
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/hgfsBd
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/message
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/misc
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/lib/rpcOut
.else
   CFLAGS += -Ishared
.endif

#
# FreeBSD's kernel module build system defines a bunch of additional warning
# flags for the compiler in addition to -Wall -Werror.  However, some of these,
# like -Wredundant-decls, are overkill.  To get around this, I copied their list
# of warning flags, but explicitly disabled a few.
#
CWARNFLAGS := -Wall
CWARNFLAGS += -Werror
CWARNFLAGS += -Wno-redundant-decls
CWARNFLAGS += -Wnested-externs
CWARNFLAGS += -Wstrict-prototypes
CWARNFLAGS += -Wno-missing-prototypes
CWARNFLAGS += -Wpointer-arith
CWARNFLAGS += -Winline
CWARNFLAGS += -Wcast-qual

EXPORT_SYMS = NO

.include <bsd.kmod.mk>

=== modules/solaris/vmblock/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2009 VMware, Inc. All rights reserved.
#
# The contents of this file are subject to the terms of the Common
# Development and Distribution License (the "License") version 1.0
# and no later version.  You may not use this file except in
# compliance with the License.
#
# You can obtain a copy of the License at
#         http://www.opensource.org/licenses/cddl1.php
#
# See the License for the specific language governing permissions
# and limitations under the License.
#
##########################################################

##
## General build locations and variables
##

MODULE   := vmblock
CFLAGS   :=
LDFLAGS  :=

# Solaris version defines for in-code #ifdefs (default to Solaris 9)
ifeq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.11)
CFLAGS   += -DSOL11
else
ifeq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.10)
CFLAGS   += -DSOL10
else
CFLAGS   += -DSOL9
# we don't support Solaris 9 (we could but we use memcpy/memset
# and we'd need stubs to get the module to load into the kernel).
$(error "This makefile is only used for Solaris 10 and 11")
endif
endif

CFLAGS   += -ffreestanding
CFLAGS   += -nodefaultlibs

CFLAGS   += -O2
CFLAGS   += -Wall -Werror
CFLAGS   += -I.

##
## Objects needed to build vmblock kernel module
##
VMBLOCK_OBJS := block.o
VMBLOCK_OBJS += module.o
VMBLOCK_OBJS += stubs.o
VMBLOCK_OBJS += vfsops.o
VMBLOCK_OBJS += vnops.o

VMBLOCK_32_OBJS := $(addprefix i386/, $(VMBLOCK_OBJS))
VMBLOCK_64_OBJS := $(addprefix amd64/, $(VMBLOCK_OBJS))

MODULE_32 := i386/$(MODULE)
MODULE_64 := amd64/$(MODULE)

ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmblock
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/solaris/vmblock
   VPATH  := $(OVT_SOURCE_DIR)/lib/misc
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/modules/shared/vmblock
endif

CFLAGS_32  := $(CFLAGS)
CFLAGS_32  += -m32
LDFLAGS_32 := $(LDFLAGS)

CFLAGS_64  := $(CFLAGS)
CFLAGS_64  += -m64
CFLAGS_64  += -mcmodel=kernel
CFLAGS_64  += -mno-red-zone
LDFLAGS_64 := $(LDFLAGS)
ifdef HAVE_GNU_LD
LDFLAGS_64 += -m elf_x86_64
else
LDFLAGS_64 += -64
endif

##
## Building targets
##
.PHONY: all prepare_dirs clean install

all: prepare_dirs $(MODULE_32) $(MODULE_64)

prepare_dirs:
	@echo "Creating build directories"
	mkdir -p i386
	mkdir -p amd64

# Build just the module for 32 bits kernel
$(MODULE_32): $(VMBLOCK_32_OBJS)
	@echo "Linking          $(MODULE_32)"
	$(LD) $(LDFLAGS_32) -r -o $(MODULE_32) $(VMBLOCK_32_OBJS)

$(VMBLOCK_32_OBJS): i386/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_32) -D_KERNEL -c $< -o $@

# Now the same for 64 bits kernel
$(MODULE_64): $(VMBLOCK_64_OBJS)
	@echo "Linking          $(MODULE_64)"
	$(LD) $(LDFLAGS_64) -r -o $(MODULE_64) $(VMBLOCK_64_OBJS)

$(VMBLOCK_64_OBJS): amd64/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_64) -D_KERNEL -c $< -o $@

clean:
	@echo "Cleaning directories"
	@rm -rf $(MODULE_32) $(VMBLOCK_32_OBJS) i386
	@rm -rf $(MODULE_64) $(VMBLOCK_32_OBJS) amd64

install:
	@echo "Installing modules"
	cp $(MODULE_32) /kernel/drv/
	chmod 755 /kernel/drv/$(MODULE)
	cp $(MODULE_64) /kernel/drv/amd64
	chmod 755 /kernel/drv/amd64/$(MODULE)

=== modules/solaris/vmmemctl/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2009 VMware, Inc. All rights reserved.
#
# The contents of this file are subject to the terms of the Common
# Development and Distribution License (the "License") version 1.0
# and no later version.  You may not use this file except in
# compliance with the License.
#
# You can obtain a copy of the License at
#         http://www.opensource.org/licenses/cddl1.php
#
# See the License for the specific language governing permissions
# and limitations under the License.
#
##########################################################

##
## General build locations and variables
##

MODULE    := vmmemctl
MODULE_32 := i386/$(MODULE)
MODULE_64 := amd64/$(MODULE)

PROG      := vmware-memctld
PROG_32   := i386/$(PROG)
PROG_64   := amd64/$(PROG)

CFLAGS    :=
KFLAGS    :=
LDFLAGS   :=

CFLAGS    += -O
CFLAGS    += -Wall -Wno-unknown-pragmas -Werror
CFLAGS    += -I../../../lib/include    # for buildNumber.h

KFLAGS    += -D_KERNEL

##
## Objects needed to build the vmmemctl kernel module
##
VMMCTL_OBJS := vmballoon.o
VMMCTL_OBJS += vmballoon_kstats.o
VMMCTL_OBJS += os.o

VMMCTL_32_OBJS := $(addprefix i386/, $(VMMCTL_OBJS))
VMMCTL_32_OBJS += i386/backdoorGcc32.o

VMMCTL_64_OBJS := $(addprefix amd64/, $(VMMCTL_OBJS))
VMMCTL_64_OBJS += amd64/backdoorGcc64.o

##
## Objects needed to build the vmware-memctld program
##
VMMCTLD_OBJS := vmmemctld.o

VMMCTLD_32_OBJS := $(addprefix i386/, $(VMMCTLD_OBJS))
VMMCTLD_64_OBJS := $(addprefix amd64/, $(VMMCTLD_OBJS))


ifeq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.9)

# Solaris 9
SUPPORTED := 1
MODULES := $(MODULE_32)
PROGS   := $(PROG_32)
INSTALL := install32
CFLAGS  += -D__STDC__=0 -DSOL9

endif

ifeq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.10)

# Solaris 10
SUPPORTED := 1
MODULES := $(MODULE_32) $(MODULE_64)
PROGS   := $(PROG_32) $(PROG_64)
INSTALL := install32 install64
CFLAGS  += -DSOL10
KFLAGS  += -ffreestanding
KFLAGS  += -nodefaultlibs

endif

ifeq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.11)

# Solaris 11
SUPPORTED := 1
MODULES := $(MODULE_32) $(MODULE_64)
PROGS   := $(PROG_32) $(PROG_64)
INSTALL := install32 install64
CFLAGS  += -DSOL11
KFLAGS  += -ffreestanding
KFLAGS  += -nodefaultlibs

endif

$(if $(SUPPORTED),,$(error "Unsupported Solaris version: $(VM_UNAME)"))


ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/backdoor
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmmemctl

   VPATH  := $(OVT_SOURCE_DIR)/lib/backdoor
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/modules/shared/vmmemctl
endif

CFLAGS_32  := $(CFLAGS)
CFLAGS_32  += -m32
LDFLAGS_32 := $(LDFLAGS)

CFLAGS_64  := $(CFLAGS)
CFLAGS_64  += -m64

KFLAGS_32  := $(KFLAGS)

KFLAGS_64  := $(KFLAGS)
KFLAGS_64  += -mcmodel=kernel
KFLAGS_64  += -mno-red-zone

LDFLAGS_64 := $(LDFLAGS)
ifdef HAVE_GNU_LD
LDFLAGS_64 += -m elf_x86_64
else
LDFLAGS_64 += -64
endif

all: prepare_dirs $(MODULES) $(PROGS)

prepare_dirs:
	@echo "Creating build directories"
	mkdir -p i386
	mkdir -p amd64

$(MODULE_32): $(VMMCTL_32_OBJS)
	@echo "Linking          $@"
	$(LD) $(LDFLAGS_32) -r $(VMMCTL_32_OBJS) -o $@

$(VMMCTL_32_OBJS): i386/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_32) $(KFLAGS_32) -c $< -o $@

$(MODULE_64): $(VMMCTL_64_OBJS)
	@echo "Linking          $@"
	$(LD) $(LDFLAGS_64) -r $(VMMCTL_64_OBJS) -o $@

$(VMMCTL_64_OBJS): amd64/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_64) $(KFLAGS_64) -c $< -o $@

$(PROG_32): $(VMMCTLD_32_OBJS)
	@echo "Linking          $@"
	$(CC) -m32 $(VMMCTLD_32_OBJS) -o $@

$(VMMCTLD_32_OBJS): i386/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_32) -c $< -o $@

$(PROG_64): $(VMMCTLD_64_OBJS)
	@echo "Linking          $@"
	$(CC) -m64 $(VMMCTLD_64_OBJS) $< -o $@

$(VMMCTLD_64_OBJS): amd64/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_64) -c $< -o $@

clean:
	@echo "Cleaning directories"
	@rm -rf $(MODULE_32) $(PROG_32) $(VMMCTL_32_OBJS) $(VMMCTLD_32_OBJS) i386
	@rm -rf $(MODULE_64) $(PROG_64) $(VMMCTL_64_OBJS) $(VMMCTLD_64_OBJS) amd64

install32:
	cp $(MODULE_32) /kernel/drv/
	chmod 755 /kernel/drv/$(MODULE)
	mkdir -p /usr/sbin/i86
	cp $(PROG_32) /usr/sbin/i86/$(PROG)
	chmod 755 /usr/sbin/i86/$(PROG)
	ln -f /usr/lib/isaexec /usr/sbin/$(PROG)

install64:
	chmod 755 /kernel/drv/$(MODULE)
	cp $(MODULE_64) /kernel/drv/amd64
	mkdir -p /usr/sbin/amd64
	cp $(PROG_64) /usr/sbin/amd64/$(PROG)
	chmod 755 /usr/sbin/amd64/$(PROG)

install: $(INSTALL)
	cp vmmemctl.conf /kernel/drv/
	chmod 755 /kernel/drv/vmmemctl.conf
	grep $(MODULE) /etc/name_to_major > /dev/null 2>&1; \
	if [ ! $$? = 0 ]; then \
		/usr/sbin/add_drv $(MODULE); \
	fi

=== modules/solaris/vmxnet3/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2009 VMware, Inc. All rights reserved.
#
# The contents of this file are subject to the terms of the Common
# Development and Distribution License (the "License") version 1.0
# and no later version.  You may not use this file except in
# compliance with the License.
#
# You can obtain a copy of the License at
#         http://www.opensource.org/licenses/cddl1.php
#
# See the License for the specific language governing permissions
# and limitations under the License.
#
##########################################################

ifneq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.10)
SUPPORTED := 1
endif

ifneq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.11)
SUPPORTED := 1
endif

$(if $(SUPPORTED),,$(error "Unsupported Solaris version: $(VM_UNAME)"))

##
## General build locations and variables
##

MODULE    := vmxnet3
CFLAGS    :=
LDFLAGS   :=

CFLAGS    += -O2
CFLAGS    += -Wall -Werror -Wno-unknown-pragmas
CFLAGS    += -U_NO_LONGLONG
CFLAGS    += -D_KERNEL
CFLAGS    += -I../../../lib/include    # for buildNumber.h

CFLAGS    += -ffreestanding
CFLAGS    += -nodefaultlibs

ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmxnet
endif

CFLAGS_32  := $(CFLAGS)
CFLAGS_32  += -m32
LDFLAGS_32 := $(LDFLAGS)

CFLAGS_64  := $(CFLAGS)
CFLAGS_64  += -m64
CFLAGS_64  += -mcmodel=kernel
CFLAGS_64  += -mno-red-zone
LDFLAGS_64 := $(LDFLAGS)
ifdef HAVE_GNU_LD
LDFLAGS_64 += -m elf_x86_64
else
LDFLAGS_64 += -64
endif

##
## Objects needed to build the HGFS kernel module
##
VMXNET3_OBJS := vmxnet3_main.o
VMXNET3_OBJS += vmxnet3_utils.o
VMXNET3_OBJS += vmxnet3_tx.o
VMXNET3_OBJS += vmxnet3_rx.o

VMXNET3_32_OBJS := $(addprefix i386/, $(VMXNET3_OBJS))
VMXNET3_64_OBJS := $(addprefix amd64/, $(VMXNET3_OBJS))

MODULE_32 := i386/$(MODULE)
MODULE_64 := amd64/$(MODULE)

all: prepare_dirs $(MODULE_32) $(MODULE_64)

prepare_dirs:
	@echo "Creating build directories"
	mkdir -p i386
	mkdir -p amd64

$(MODULE_32): $(VMXNET3_32_OBJS)
	@echo "Linking          $@"
	$(LD) $(LDFLAGS_32) -r $(VMXNET3_32_OBJS) -o $@

$(VMXNET3_32_OBJS): i386/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_32) -c $< -o $@

$(MODULE_64): $(VMXNET3_64_OBJS)
	@echo "Linking          $@"
	$(LD) $(LDFLAGS_64) -r $(VMXNET3_64_OBJS) -o $@

$(VMXNET3_64_OBJS): amd64/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_64) -c $< -o $@

clean:
	@echo "Cleaning directories"
	@rm -rf $(MODULE_32) $(VMXNET3_32_OBJS) i386
	@rm -rf $(MODULE_64) $(VMXNET3_64_OBJS) amd64

install:
	@echo "Installing modules"
	cp $(MODULE_32) /kernel/drv/
	chmod 755 /kernel/drv/$(MODULE)
	cp $(MODULE_64) /kernel/drv/amd64
	chmod 755 /kernel/drv/amd64/$(MODULE)
	cp docs/vmxnet3s.conf /kernel/drv/vmxnet3s.conf
	chmod 644 /kernel/drv/vmxnet3s.conf

## open-vm-tools 2011.03.28

=== modules/linux/vsock/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = .

#
# open-vm-tools doesn't replicate shared source files for different modules;
# instead, files are kept in shared locations. So define a few useful macros
# to be able to handle both cases cleanly.
#
INCLUDE      :=
ifdef OVT_SOURCE_DIR
AUTOCONF_DIR := $(OVT_SOURCE_DIR)/modules/linux/shared/autoconf
VMLIB_PATH   = $(OVT_SOURCE_DIR)/lib/$(1)
INCLUDE      += -I$(OVT_SOURCE_DIR)/modules/linux/shared
INCLUDE      += -I$(OVT_SOURCE_DIR)/lib/include
else
AUTOCONF_DIR := $(SRCROOT)/shared/autoconf
INCLUDE      += -I$(SRCROOT)/shared
endif


VM_UNAME = $(shell uname -r)

# Header directory for the running kernel
ifdef LINUXINCLUDE
HEADER_DIR = $(LINUXINCLUDE)
else
HEADER_DIR = /lib/modules/$(VM_UNAME)/build/include
endif

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vsock
PRODUCT := tools-source

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ] || [ ! -e $@ ] ; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

#
# Define a setup target that gets built before the actual driver.
# This target may not be used at all, but if it is then it will be defined
# in Makefile.kernel
#
prebuild:: ;
postbuild:: ;

$(DRIVER_KO): prebuild
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
	make -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) $(LINUXINCLUDE) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

## open-vm-tools 2011.12.20

=== modules/freebsd/vmblock/Makefile ===
--- 
+++ 
@@ -39,9 +39,11 @@
 HEADERS += os.h
 
 CSRCS  := block.c
+CSRCS  += os_panic.c
 CSRCS  += vfsops.c
 CSRCS  += vnops.c
 CSRCS  += subr.c
+CSRCS  += stubs.c
 
 SRCS   := $(HEADERS) $(CSRCS)
 
@@ -60,8 +62,7 @@
    CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/shared
    CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/vmblock
    CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmblock
-   VPATH  := $(OVT_SOURCE_DIR)/lib/misc
-   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/modules/shared/vmblock
+   VPATH  := $(OVT_SOURCE_DIR)/modules/shared/vmblock
 .else
    CFLAGS += -Ishared
 .endif

=== modules/linux/vsock/Makefile ===
--- 
+++ 
@@ -127,9 +127,9 @@
 postbuild:: ;
 
 $(DRIVER_KO): prebuild
-	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
+	$(MAKE) -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) \
 	  MODULEBUILDDIR=$(MODULEBUILDDIR) modules
-	make -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
+	$(MAKE) -C $$PWD SRCROOT=$$PWD/$(SRCROOT) \
 	  MODULEBUILDDIR=$(MODULEBUILDDIR) postbuild
 endif

## open-vm-tools 2011.12.20-562307

=== debian/changelog ===
open-vm-tools (2011.12.20-562307-0ubuntu1.2) precise; urgency=medium

  * Make open-vm-toolbox Breaks:/Replaces: versioned to ensure
    installability of the open-vm-source transtional package.
    (LP: #1499352)

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 24 Sep 2015 14:21:58 +0100

open-vm-tools (2011.12.20-562307-0ubuntu1.1) precise; urgency=medium

  * Upstream v3.2.66 porting (LP: #1416003):
    - 'd_alias' member of struct dentry has been moved into the 'd_u' union

 -- Luis Henriques <luis.henriques@canonical.com>  Fri, 30 Jan 2015 08:25:20 -0600

open-vm-tools (2011.12.20-562307-0ubuntu1) precise; urgency=high

  * Merge latest upstream git tag. Fixes building on Precise
    (LP: #898289, LP: #905612)

  * Items merged from Debian unstable:
    - debian/control:
      + open-vm-tools recommends open-vm-dkms. (LP: #598933)
      + open-vm-tools now suggests open-vm-toolbox. (LP: #604998)
    (From 2011.08.21-471295-1 release)
    - Updating maintainer and uploaders fields.
    - Removing vcs fields.
    - Removing references to Daniel's old email address.
    - Updating years in copyright file.
    - Updating to standards version 3.9.2.
    - Updating to debhelper version 8.
    - Switching to source format 3.0 (quilt).
    - Removing manual chrpath setting.
    - Removing exclusion from plugins from debhelper shlibs.
    - Rediffing kvers.patch.
    (From 2011.09.23-491607-1 release)
    - Marking binary architecture-dependend packages as linux and kfreebsd
    only.
    - Removing liburiparser-dev from build-depends as upstream dropped
    unity support.
    - Building with libproc-dev on amd64 again.
    - Dropping disabling of dnet support.
    (From 2011.09.23-491607-2 release)
    - Adding doxygen to build-depends for api documentation.
    - Adding libcunit1-dev to build-depends for test suites.
    - Minimizing rules file.
    - Adding open-vm-tools-dev package, containing only the api
      documentation for now.
    (From 2011.09.23-491607-3 release)
    - Sorting overrides in rules alphabetically.
    - Compacting copyright file.
    - Adding udev rule to set timeout for vmware scsi devices
    (From 2011.12.20-562307-1 release)
    - Adding patch to correct typo in upstreams dkms configuration

  * Remaining Changes:
    - Remove Stable part of version numbering.
    - debian folder:
      + Re-added open-vm-dkms.postinst & open-vm-dkms.prerm.
        * Allows dkms modules to compile upon installation.
    - debian/control:
      + Re-add open-vm-source and make into a transitional package
        for open-vm-toolbox.
      + Return dependancies that were moved to open-vm-tools back to
        open-vm-toolbox.
    - debian/rules and debian/open-vm-toolbox.lintian-overrides:
      + Make vmware-user-suid-wrapper suid-root
    - debian/rules:
      + Added CFLAGS field with -Wno-deprecated-declarations
        * Will suppress issues with glib 2.31 or later.
      + Add line to copy vmware-xdg-detect-de into place.
      + Install vmware-user.desktop through toolbox package.
    - debian/open-vm-tools.init:
      + Re-add 'modprobe [-r] vmblock'.
      + Add 'modprobe [-r] vmxnet'.
        * Incase it's not loaded during boot.
      + Remove and re-add pcnet32 module
        * Will be done before (remove) and after (readd) vmxnet module
          is added.
        * If vmxnet doesn't exist (aka modules fail to build), pcnet32 can be
          still used for network connectivity.
        * Workaround until a better fix can be done.
    - Re-add gnome-session to debian/local/xautostart.conf
    - Manpages removed (from debian/manpages):
      + vmmemctl.9
      + vmxnet3.9
      + Remove references to manpages that have been removed.

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Mon, 23 Jan 2012 16:09:45 -0600

open-vm-tools (2011.07.19-450511-0ubuntu2) precise; urgency=low

  * Rebuild for libicu48.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2011 11:03:50 +0000

open-vm-tools (2011.07.19-450511-0ubuntu1) oneiric; urgency=low

  * Merge latest upstream git tag. Fixes Building on Oneiric
    (LP: #776103, LP: #807903)

  * The Toolbox (GUI) has been removed.
  * Changes in debian folder:
    - Contents of open-vm-toolbox.lintian-overrides have been moved to
      open-vm-tools.lintian-overrides.
    - The contents of open-vm-toolbox.manpages (excluding the first line,
      which relates to the Toolbox) have been moved to open-vm-tools.manpages.
  * Changes in debian/control:
    - Convert open-vm-toolbox into a transitional package.
    - All dependencies for toolbox have been moved to open-vm-tools package.
    - Changed architecture for open-vm-toolbox package to all.
    - Added Replaces and Breaks fields to open-vm-tools.
  * Changes in debian/rules:
    - Commented out references to the Toolbox (GUI), that no longer exist
      in the package itself.
    - Remaining references changed from open-vm-toolbox to open-vm-tools.
    - Added -Wno-unused-but-set-variable to CFLAGS to suppress remaining
      issues with GCC 4.6.0 or later.
  * Files removed in debian/manpages:
    - vmmemctl.9 (Component no longer in package)
    - vmware-toolbox.1 (Component removed in this release)
    - vmxnet3.9 (vmxnet3 is now included in kernel itself)

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Fri, 22 Jul 2011 16:41:03 -0500

open-vm-tools (2011.03.28-387002-0ubuntu4) oneiric; urgency=low

  * Updated /debian/manpages/vmhgfs.9: Typo fixed and further information
    was added (LP: #572335)

 -- Christian Titze <christitze@web.de>  Fri, 08 Jul 2011 09:25:33 -0700

open-vm-tools (2011.03.28-387002-0ubuntu3) oneiric; urgency=low

  * Revert debian/rules change in 2011.03.28-387002-0ubuntu2 and instead
    remove debian/open-vm-toolbox.links, which was shadowing the original
    /etc/xdg/autostart/vmware-user.desktop file.

 -- Evan Broder <evan@ebroder.net>  Sat, 07 May 2011 23:51:39 -0700

open-vm-tools (2011.03.28-387002-0ubuntu2) oneiric; urgency=low



=== debian/control ===
Source: open-vm-tools
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 8), autotools-dev, doxygen, libcunit1-dev, libdumbnet-dev,
 libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev, libicu-dev, libnotify-dev,
 libpam0g-dev, libproc-dev, libx11-dev, libxinerama-dev, libxss-dev,
 libxtst-dev
Standards-Version: 3.9.2
Homepage: http://open-vm-tools.sourceforge.net/

Package: open-vm-tools
Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: open-vm-dkms, ethtool, zerofree
Suggests: open-vm-toolbox
Description: tools and components for VMware guest systems (CLI tools)
 The Open Virtual Machine Tools (open-vm-tools) are the open source
 implementation of VMware Tools. They are a set of guest operating system
 virtualization components that enhance performance and user experience of
 virtual machines.
 .
 As virtualization technology rapidly becomes mainstream, each virtualization
 solution provider implements their own set of tools and utilities to supplement
 the guest virtual machine. However, most of the implementations are proprietary
 and are tied to a specific virtualization platform.

Package: open-vm-toolbox
Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
Recommends:
 open-vm-dkms, xauth, xserver-xorg-input-vmmouse, xserver-xorg-video-vmware
Suggests: xdg-utils
Replaces: open-vm-source (<< 2011.12.20-562307-0ubuntu1.2)
Breaks: open-vm-source (<< 2011.12.20-562307-0ubuntu1.2)
Description: tools and components for VMware guest systems (GUI tools)
 The Open Virtual Machine Tools (open-vm-tools) are the open source
 implementation of VMware Tools. They are a set of guest operating system
 virtualization components that enhance performance and user experience of
 virtual machines.
 .
 As virtualization technology rapidly becomes mainstream, each virtualization
 solution provider implements their own set of tools and utilities to supplement
 the guest virtual machine. However, most of the implementations are proprietary
 and are tied to a specific virtualization platform.

Package: open-vm-tools-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}
Description: tools and components for VMware guest systems (development)
 The Open Virtual Machine Tools (open-vm-tools) are the open source
 implementation of VMware Tools. They are a set of guest operating system
 virtualization components that enhance performance and user experience of
 virtual machines.
 .
 This package contains the development files.

Package: open-vm-tools-dbg
Section: debug
Priority: extra
Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, open-vm-tools (= ${binary:Version}), open-vm-toolbox (= ${binary:Version})
Description: tools and components for VMware guest systems (debug)
 The Open Virtual Machine Tools (open-vm-tools) are the open source
 implementation of VMware Tools. They are a set of guest operating system
 virtualization components that enhance performance and user experience of
 virtual machines.
 .
 This package contains the debugging symbols.

Package: open-vm-dkms
Architecture: all
Depends: ${misc:Depends}, dkms, make
Recommends: open-vm-tools
Suggests: open-vm-toolbox
Description: Source for VMware guest systems driver (DKMS)
 This package provides the source code for the open-vm kernel modules.
 The open-vm-tools package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.

Package: open-vm-source
Architecture: all
Depends: open-vm-toolbox, ${misc:Depends}
Description: Transitional package for open-vm-source
 This is a transitional package for open-vm-source, used to reinstall
 open-vm-toolbox.
 .
 It can be safely removed after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with autotools_dev

CFLAGS += -Wno-deprecated-declarations

override_dh_auto_configure:
	dh_auto_configure -- --without-kernel-modules

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools

	install -D -m 0755 vmware-user-suid-wrapper/vmware-user-suid-wrapper debian/open-vm-toolbox/usr/sbin/vmware-user-suid-wrapper

	if [ -e debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 ]; \
	then \
		sed -i -e "s|lib64|lib|g" debian/open-vm-tools/etc/pam.d/vmtoolsd-x64; \
		mv debian/open-vm-tools/etc/pam.d/vmtoolsd-x64 debian/open-vm-tools/etc/pam.d/vmtoolsd; \
	fi

	chmod 0644 debian/open-vm-tools/etc/pam.d/vmtoolsd

	install -D -m 0755 debian/local/vmxnet.hook debian/open-vm-tools/usr/share/initramfs-tools/hooks/vmxnet
	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-toolbox/etc/vmware-tools/xautostart.conf
	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf

	# open-vm-tools-dev
	mkdir -p debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
	mv debian/open-vm-tools/usr/share/doc/open-vm-tools/api debian/open-vm-tools-dev/usr/share/doc/open-vm-tools

	# open-vm-dkms
	mkdir -p debian/open-vm-dkms/usr/src
	sh modules/linux/dkms.sh . debian/open-vm-dkms/usr/src
	find debian/open-vm-dkms/usr/src -name COPYING | xargs rm -f
	find debian/open-vm-dkms/usr/src -name "Makefile*" | xargs chmod 0755

	# removing useless files
	rm -f debian/open-vm-tools/usr/lib/*.la
	rm -f debian/open-vm-tools/usr/lib/open-vm-tools/plugins/*/*.la
	rm -rf debian/open-vm-tools/usr/share/open-vm-tools/tests

	# moving open-vm-tools files
	mkdir -p debian/open-vm-tools/sbin
	mv debian/open-vm-tools/usr/sbin/mount.vmhgfs debian/open-vm-tools/sbin/mount.vmhgfs

	# moving open-vm-toolbox files
	mkdir -p debian/open-vm-toolbox/etc
	mv debian/open-vm-tools/etc/xdg debian/open-vm-toolbox/etc/

	mkdir -p debian/open-vm-toolbox/usr/lib/open-vm-tools/plugins
	mv debian/open-vm-tools/usr/lib/open-vm-tools/plugins/vmusr debian/open-vm-toolbox/usr/lib/open-vm-tools/plugins

	mkdir -p debian/open-vm-toolbox/usr/bin
	install -m 755 scripts/common/vmware-xdg-detect-de debian/open-vm-toolbox/usr/bin
	install -D -m 4755 vmware-user-suid-wrapper/vmware-user-suid-wrapper debian/open-vm-toolbox/usr/sbin/vmware-user-suid-wrapper

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

override_dh_fixperms:
	dh_fixperms -Xsbin/mount.vmhgfs -Xusr/sbin/vmware-user-suid-wrapper

override_dh_installinit:
	dh_installinit --update-rcd-params='start 38 2 3 4 5 . stop 38 0 1 6 .'

override_dh_strip:
	dh_strip --dbg-package=open-vm-tools-dbg

## open-vm-tools 2012.05.21-724730

=== debian/changelog ===
open-vm-tools (2012.05.21-724730-0ubuntu2) quantal; urgency=low

  * debian/open-vm-tools.init: Add if statement to check for vmxnet module,
    and if found, remove pcnet32 module.
  * debian/control: Remove open-vm-source package.
    - Only needed to add back open-vm-toolbox for Oneiric->Precise upgrade.

  * Items merged from Debian unstable:
    - Switching to xz compression.
    - Adding sleep during restart in initscript.
    - Removing old dpkg trigger for update-initramfs.
    - Updating GPL boilerplate in copyright file.

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Fri, 03 Aug 2012 16:09:30 -0500

open-vm-tools (2012.05.21-724730-0ubuntu1) quantal; urgency=low

  * Merging upstream version 2012.05.21-724730.
    - Fixes building against the current Quantal kernel. (LP: #1000344)
    - Fixes Quantal installation issues. (LP: #1019031)

  * Sync with Debian
    - Updating to debhelper version 9.
    - Updating to standards version 3.9.3.
    - Updating copyright file machine-readable format version 1.0.
    - Building without multiarch paths for now

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Wed, 20 Jun 2012 15:59:51 -0500

open-vm-tools (2011.12.20-562307-0ubuntu2) quantal; urgency=low

  * Build-depend on the new libprocps0-dev instead of libproc-dev.
  * Change the way we export -Wno-deprecated-declarations to make
    the package no longer FTBFS with the latest dpkg/debhelper.
  * Snag the 02-procps.patch patch from Debian for the proc rename.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Jun 2012 11:44:25 -0600

## open-vm-tools 2012.12.26-958366

=== debian/changelog ===
open-vm-tools (2012.12.26-958366-0ubuntu3) raring-proposed; urgency=low

  * Ubuntu-specific Changes
    - debian/rules: Added LIBS field with -lpthread.
      + Fixes package compile failure for Raring and future Ubuntu Releases.

  * Items merged from Debian unstable:
    (From 2:9.2.2-893683-1 release)
    - Adding remote_fs dependency in initscript.
    - Correcting architecture fields in control.

    (From 2:9.2.2-893683-2 release)
    - Removing init order to network.

    (From 2:9.2.2-893683-4 release)
    - Removing init order to network also on start.

    (From 2:9.2.2-893683-5 release)
    - Updating to standards version 3.9.4.
    - Updating year in copyright file.
    - Prefixing patches with 4 digits for consistency.
    - Tightening diff headers in patches.
    - Dropping dpkg-source compression levels.

    (From 2:9.2.2-893683-6 release)
    - Remove all references to Daniel's old email address.

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Wed, 13 Mar 2013 16:44:46 -0500

open-vm-tools (2012.12.26-958366-0ubuntu2) raring; urgency=high

  * debian/patches: Rename 05-vmhgfs.patch to 05-kernel-38-fixes.patch.
    - Since it contains fixes to more than 1 file.
    - Add vmci fixes recommended from upstream
      + Will be added in next release (whenever that is).

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Fri, 01 Feb 2013 13:49:06 -0600

open-vm-tools (2012.12.26-958366-0ubuntu1) raring-proposed; urgency=high

  * Merging upstream version 2012.12.26-958366.

  * Added 04-dkms-vmsync.patch: An additional to 03-dkms.patch
    - Deletes lines involving vmsync, adjust other numbers.
    - Module compile still fails if we don't add this patch.
    - This keeps the 03-dkms.patch unmodified.

  * Added 05-vmhgfs.patch:
    - Fixes vmxnet compile issues with 3.8 kernel (LP: #1100096)

  * Stop dkms from building vmblock module.
    - vmblock-fuse takes care of this now.
      + Modules still build, but this gets rid of the vmblock-related
        warning message

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Mon, 28 Jan 2013 16:11:13 -0600

open-vm-tools (2012.10.14-874563-0ubuntu2) raring-proposed; urgency=high

  * Stop dkms from building vmsync module.
    - Fixes building against current Raring kernel. (LP: #1088053)

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Sat, 08 Dec 2012 15:27:13 -0600

open-vm-tools (2012.10.14-874563-0ubuntu1) raring; urgency=low

  * Merging upstream version 2012.10.14-874563.

 -- Nate Muench <NowIWillDestroyAbydos@gmail.com>  Wed, 31 Oct 2012 18:27:35 -0500

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: admin
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+XSBC-Original-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends:
- debhelper (>= 8), autotools-dev, doxygen, libcunit1-dev, libdumbnet-dev,
+ debhelper (>= 9), autotools-dev, doxygen, libcunit1-dev, libdumbnet-dev,
  libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev, libicu-dev, libnotify-dev,
- libpam0g-dev, libproc-dev, libx11-dev, libxinerama-dev, libxss-dev,
+ libpam0g-dev, libprocps0-dev, libx11-dev, libxinerama-dev, libxss-dev,
  libxtst-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://open-vm-tools.sourceforge.net/
 
 Package: open-vm-tools
-Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: open-vm-dkms, ethtool, zerofree
 Suggests: open-vm-toolbox
@@ -28,13 +29,14 @@
  and are tied to a specific virtualization platform.
 
 Package: open-vm-toolbox
-Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
 Recommends:
  open-vm-dkms, xauth, xserver-xorg-input-vmmouse, xserver-xorg-video-vmware
 Suggests: xdg-utils
-Replaces: open-vm-source (<< 2011.12.20-562307-0ubuntu1.2)
-Breaks: open-vm-source (<< 2011.12.20-562307-0ubuntu1.2)
+Replaces: open-vm-source
+Breaks: open-vm-source
 Description: tools and components for VMware guest systems (GUI tools)
  The Open Virtual Machine Tools (open-vm-tools) are the open source
  implementation of VMware Tools. They are a set of guest operating system
@@ -49,6 +51,7 @@
 Package: open-vm-tools-dev
 Section: devel
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Description: tools and components for VMware guest systems (development)
  The Open Virtual Machine Tools (open-vm-tools) are the open source
@@ -61,7 +64,8 @@
 Package: open-vm-tools-dbg
 Section: debug
 Priority: extra
-Architecture: linux-amd64 linux-i386 kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, open-vm-tools (= ${binary:Version}), open-vm-toolbox (= ${binary:Version})
 Description: tools and components for VMware guest systems (debug)
  The Open Virtual Machine Tools (open-vm-tools) are the open source
@@ -73,6 +77,7 @@
 
 Package: open-vm-dkms
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, dkms, make
 Recommends: open-vm-tools
 Suggests: open-vm-toolbox
@@ -80,12 +85,3 @@
  This package provides the source code for the open-vm kernel modules.
  The open-vm-tools package is also required in order to make use of these
  modules. Kernel source or headers are required to compile these modules.
-
-Package: open-vm-source
-Architecture: all
-Depends: open-vm-toolbox, ${misc:Depends}
-Description: Transitional package for open-vm-source
- This is a transitional package for open-vm-source, used to reinstall
- open-vm-toolbox.
- .
- It can be safely removed after the installation is complete.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
+
+export CFLAGS += -Wno-deprecated-declarations
+export LIBS += -lpthread
 
 %:
 	dh ${@} --with autotools_dev
 
-CFLAGS += -Wno-deprecated-declarations
-
 override_dh_auto_configure:
-	dh_auto_configure -- --without-kernel-modules
+	dh_auto_configure -- --prefix=/usr --libdir=\$${prefix}/lib --without-kernel-modules
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools
@@ -56,7 +57,7 @@
 	install -D -m 4755 vmware-user-suid-wrapper/vmware-user-suid-wrapper debian/open-vm-toolbox/usr/sbin/vmware-user-suid-wrapper
 
 override_dh_builddeb:
-	dh_builddeb -- -Zgzip -z9
+	dh_builddeb -- -Zxz
 
 override_dh_fixperms:
 	dh_fixperms -Xsbin/mount.vmhgfs -Xusr/sbin/vmware-user-suid-wrapper
